# Crow: crow::mustache::template_t Class Reference

crow::mustache::template_t Class Reference

A mustache template object. More...

`#include <mustache.h>`

## Public Member Functions

| template_t (std::string body)
rendered_template | render () const
| Output a returnable template from this mustache template.
rendered_template | render (const context &ctx) const
| Apply the values from the context provided and output a returnable template from this mustache template.
rendered_template | render (const context &&ctx) const
| Apply the values from the context provided and output a returnable template from this mustache template.
std::string | render_string () const
| Output a returnable template from this mustache template.
std::string | render_string (const context &ctx) const
| Apply the values from the context provided and output a returnable template from this mustache template.

## Detailed Description

A mustache template object.

The documentation for this class was generated from the following file:

- include/crow/mustache.h